Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class Prop

    java.lang.Object
      org.basex.core.Prop

    public final class Prop

extends java.lang.Object

This class assembles properties which are used all around the project. They are initially read from and finally written to disk.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static boolean` | `allInfo` Detailed query info.
`static boolean` | `attrindex` Flag for creating an attribute value index.
`static boolean` | `chop` Flag for whitespace chopping.
`static java.lang.String` | `dbpath` Database path.
`static boolean` | `debug` Debug mode.
`static java.lang.String` | `dotty` Path to dotty.
`static java.lang.String` | `ENCODING` Returns the system's default encoding.
`static boolean` | `entity` Flag for entity parsing.
`static boolean` | `fscont` Flag for importing file contents.
`static boolean` | `fsmeta` Flag for importing file metadata.
`static boolean` | `fsstat` Flag for creating fs stat info.
`static int` | `fstextmax` Maximum size for textual imports.
`static boolean` | `ftindex` Flag for creating a fulltext index.
`static java.lang.String` | `HOME` User's home directory.
`static boolean` | `info` Short query info.
`static boolean` | `mainmem` Flag for loading database table into main memory.
`static java.lang.String` | `NL` New line string.
`static boolean` | `onthefly` Flag for creating databases on-the-fly (in memory).
`static java.lang.String` | `pathfinder` Path to pathfinder.
`static boolean` | `pfDAG` Dots the Query plan.
`static boolean` | `pfOp` Show executed operators.
`static boolean` | `pfXML` Print XML Query plan.
`static int` | `runs` Number of query executions.
`static boolean` | `serialize` Flag for serializing query results.
`static boolean` | `SKIP` The following options are not saved/read; don't remove this flag.
`static boolean` | `textindex` Flag for creating a text index.
`static boolean` | `UNIX` Flag denoting if OS belongs to UNIX or Windows family.
`static boolean` | `wordindex` Flag for creating a word index.
`static java.lang.String` | `WORK` Returns the current working directory.
`static boolean` | `xmloutput` Flag for serialization as XML.
`static boolean` | `xqerrcode` Flow for showing the XQuery error code.
`static boolean` | `xqformat` Format XQuery output.

Method Summary
`static void` | `pf(int d)` Sets some (temporary) pathfinder debug modes.
`static void` | `read()` Reads the configuration file and initializes the project properties.
`static void` | `read(java.lang.String filename, java.lang.reflect.Field[] fields)` Assigns the properties from the specified file to the field array.
`static void` | `write()` Writes the configuration file.
`static void` | `write(java.lang.String filename, java.lang.reflect.Field[] fields)` Writes the properties from field array to the specified file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### allInfo

    public static boolean allInfo

  Detailed query info.

### attrindex

    public static boolean attrindex

  Flag for creating an attribute value index.

### chop

    public static boolean chop

  Flag for whitespace chopping.

### dbpath

    public static java.lang.String dbpath

  Database path.

### debug

    public static boolean debug

  Debug mode.

### dotty

    public static java.lang.String dotty

  Path to dotty.

### ENCODING

    public static final java.lang.String ENCODING

  Returns the system's default encoding.

### entity

    public static boolean entity

  Flag for entity parsing.

### fscont

    public static boolean fscont

  Flag for importing file contents.

### fsmeta

    public static boolean fsmeta

  Flag for importing file metadata.

### fsstat

    public static boolean fsstat

  Flag for creating fs stat info.

### fstextmax

    public static int fstextmax

  Maximum size for textual imports.

### ftindex

    public static boolean ftindex

  Flag for creating a fulltext index.

### HOME

    public static final java.lang.String HOME

  User's home directory.

### info

    public static boolean info

  Short query info.

### mainmem

    public static boolean mainmem

  Flag for loading database table into main memory.

### NL

    public static final java.lang.String NL

  New line string.

### onthefly

    public static boolean onthefly

  Flag for creating databases on-the-fly (in memory).

### pathfinder

    public static java.lang.String pathfinder

  Path to pathfinder.

### pfDAG

    public static boolean pfDAG

  Dots the Query plan.

### pfOp

    public static boolean pfOp

  Show executed operators.

### pfXML

    public static boolean pfXML

  Print XML Query plan.

### runs

    public static int runs

  Number of query executions.

### serialize

    public static boolean serialize

  Flag for serializing query results.

### SKIP

    public static final boolean SKIP

  The following options are not saved/read; don't remove this flag.

  See Also:
    Constant Field Values

### textindex

    public static boolean textindex

  Flag for creating a text index.

### UNIX

    public static final boolean UNIX

  Flag denoting if OS belongs to UNIX or Windows family.

### wordindex

    public static boolean wordindex

  Flag for creating a word index.

### WORK

    public static final java.lang.String WORK

  Returns the current working directory.

### xmloutput

    public static boolean xmloutput

  Flag for serialization as XML.

### xqerrcode

    public static boolean xqerrcode

  Flow for showing the XQuery error code.

### xqformat

    public static boolean xqformat

  Format XQuery output.

Method Detail

### pf

    public static void pf(int d)

  Sets some (temporary) pathfinder debug modes.

  Parameters:
    `d` - debug value

### read

    public static void read()

  Reads the configuration file and initializes the project properties. The file is located in the user's home directory.

### read

    public static void read(java.lang.String filename,
                            java.lang.reflect.Field[] fields)

  Assigns the properties from the specified file to the field array.

  Parameters:
    `filename` - file to be read
    `fields` - fields to be assigned

### write

    public static void write()

  Writes the configuration file.

### write

    public static void write(java.lang.String filename,
                             java.lang.reflect.Field[] fields)

  Writes the properties from field array to the specified file.

  Parameters:
    `filename` - file to be read
    `fields` - fields to be assigned

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD